#include <stdio.h>

struct datum {
	short tag, monat, jahr;
};

int main() {
	    /*
	     * Initialisierung der Komponenten der Struktur
	     * erfolgt in der Reihenfolge, in der die Komponenten
	     * bei der Definition der Struktur genannt werden.
	     */
	struct datum geb = {1, 2, 1999};
	struct datum *p = &geb;		/* Zeiger auf eine Struktur */

	printf("%02d.%02d.%04d\n", geb.tag, geb.monat, geb.jahr);

	/* erst dereferenzieren und dann Komponentenzugriff ... */
	printf("%02d.%02d.%04d\n", (*p).tag, (*p).monat, (*p).jahr);

	/* oder auch einfacher mit -> ... */
	printf("%02d.%02d.%04d\n", p->tag, p->monat, p->jahr);

	return 0;
}
