#include <stdio.h>

struct datum {
    short tag, monat, jahr;
};

void ausgabe1(struct datum d) {
    printf("%d.%d.%d\n", d.tag, d.monat, d.jahr);
}

void ausgabe2(struct datum *d) {
    /* kann man so machen ... ist aber ein overkill hier ... ;-) */
    printf("%d.%d.%d\n", d->tag, d->monat, d->jahr);
}

void setJahr1(struct datum d, int jahr) {
    /* hier wird nur die Kopie veraendert; beim Original aendert sich nichts! */
    d.jahr = jahr;
}

void setJahr2(struct datum *d, int jahr) {
    /* hier wird nun wirklich auf das Original "durchgegriffen"! */
    d->jahr = jahr;
}

int main() {
    struct datum start = {13, 10, 2003};

    ausgabe1(start);
    setJahr1(start, 2004);	/* keine Aenderung von start! */
    ausgabe2(&start);		/* aequivalent zu ausgabe1(start) */
    setJahr2(&start, 2004);	/* setzt das Jahr auf 2004 */
    ausgabe1(start);

    return 0;
}
